import matplotlib as mpl
import matplotlib.pyplot as plt
import numpy as np
import csv
import os
import sys
from alisaPlot import zero
from alisaPlot import ninety

p2 = r"C:\Users\Johannes\Documents\Masteroppgave\Calibration\Mesh"

force = []
disp = []



c = open(p2+'\\T.0.'+ str(440) +'.csv', 'r')
reader = csv.reader(c)
for line in reader:
    force.append(float(line[0])*0.001)
    disp.append((float(line[1])+float(line[2]))*0.5)
c.close()

#force = np.array_split(force, 10)
#disp = np.array_split(disp, 10)

force2 = []
disp2 = []

c = open(p2+'\\T.9.'+ str(440) +'.csv', 'r')
reader = csv.reader(c)
for line in reader:
    force2.append(float(line[0])*0.001)
    disp2.append((float(line[1])+float(line[2]))*0.5)
c.close()

#force2 = np.array_split(force2, 10)
#disp2 = np.array_split(disp2, 10)

ref1 = zero(6)
ref2 = zero(9)
ref3 = zero(10)
ref4 = zero(12)

ref5 = ninety(1)
ref6 = ninety(2)
ref7 = ninety(3)
ref8 = ninety(4)
ref9 = ninety(7)
ref10 = ninety(11)



plt.rc('font', size=18)

fig, (t0, t90) = plt.subplots(1,2, figsize=(10,6))
for i in range(len(force)):
    t0.plot(disp, force)
    t0.plot(ref1[1], ref1[0], linestyle="dashdot")
    t0.plot(ref2[1], ref2[0], linestyle="dashdot")
    t0.plot(ref3[1], ref3[0], linestyle="dashdot")
    t0.plot(ref4[1], ref4[0], linestyle="dashdot")
    t0.set_title(r'$Tension, \alpha=0^o$'+", 20d")
    t90.plot(disp2, force2)
    t90.plot(ref5[1], ref5[0], linestyle="dashdot")
    t90.plot(ref6[1], ref6[0], linestyle="dashdot")
    t90.plot(ref7[1], ref7[0], linestyle="dashdot")
    t90.plot(ref8[1], ref8[0], linestyle="dashdot")
    t90.plot(ref9[1], ref9[0], linestyle="dashdot")
    t90.plot(ref10[1], ref10[0], linestyle="dashdot")
    t90.set_title(r'$Tension, \alpha=90^o$'+", 20d")
    for axs in (t0, t90):
        t0.set(xlabel="Displacement [mm]", ylabel="Force [kN]")


"""
figs, axs = plt.subplots(1, figsize=(10,6))

for i in range(len(force)):
    axs.plot(disp[i], force[i])
    axs.plot(ref1[1], ref1[0], linestyle="dashdot", label="G6")
    axs.plot(ref2[1], ref2[0], linestyle="dashdot", label="G9")
    axs.plot(ref3[1], ref3[0], linestyle="dashdot", label="G10")
    axs.plot(ref4[1], ref4[0], linestyle="dashdot", label="G12")   
    axs.set_title(r'$Tension, \alpha=90^o$'+", 20d")
    axs.set(xlabel="Displacement [mm]", ylabel="Force [kN]")"""

plt.show()
#plt.savefig(p2+"\\varyFractureEnergy.png")
