import matplotlib as mpl
import matplotlib.pyplot as plt
import numpy as np
import csv
import os
import sys

p2 = r"C:\Users\Johannes\Documents\Masteroppgave\Calibration\\"


x_ax = []
y_ax = []

f = open(p2+'Lateral0.csv')
for line in f: 
    line = line.split(',')
    y_ax.append(float(line[0]))
    x_ax.append(float(line[1]))

"""
avgx = sum(x)/len(x)
avgy = sum(y)/len(y)
stiffness = avgy/avgx"""

plt.rc('font', size=18)
fig, ax = plt.subplots(1, figsize=(10,6))
ax.set_title(r"Lateral loading, $\alpha=0^o$")
ax.set(ylabel="Stiffness [kN/mm]", xlabel="Young's modulus [MPa]")
ax.plot(x_ax, y_ax)

plt.savefig(p2+"\\lateralLowEmodulus.png")