
import matplotlib as mpl
import matplotlib.pyplot as plt
import numpy as np
import csv
import os
import sys

def zero(specimen):
    path = r"C:\Users\Johannes\Documents\Masteroppgave\Treprøver_Alisa_Resch\Failure00\\"
    number = specimen
    txtfile = "G"+str(number)+"_00_20D_T_F.txt"

    force = []
    disp = []

    f = open(path+txtfile, 'r')
    for ine in f:
        #print(ine.split())
        b1 = ine.split()
        try:
            force.append(b1[1])
            disp.append(b1[5])
        except: pass

    del force[0:(31+3000)]
    del disp[0:(27+3000)]

    for i in range(len(force)):
        force[i] = force[i].replace(",", ".")
        disp[i] = disp[i].replace(",", ".")
        disp[i] = abs(float(disp[i]))

    force2 = []
    disp2 = []

    for i in range(len(force)):
        if disp[i] < 2:
            force2.append(float(force[i]))
            disp2.append(float(disp[i]))

    return [force2, disp2]

def ninety(specimen):
    path = r"C:\Users\Johannes\Documents\Masteroppgave\Treprøver_Alisa_Resch\Failure90\\"
    number = specimen
    txtfile = "G"+str(number)+"_90_20D_T_F.txt"

    force = []
    disp = []

    f = open(path+txtfile, 'r')
    for ine in f:
        #print(ine.split())
        b1 = ine.split()
        try:
            force.append(b1[1])
            disp.append(b1[5])
        except: pass

    del force[0:(31+3000)]
    del disp[0:(27+3000)]

    for i in range(len(force)):
        force[i] = force[i].replace(",", ".")
        disp[i] = disp[i].replace(",", ".")
        disp[i] = abs(float(disp[i]))

    force2 = []
    disp2 = []

    for i in range(len(force)):
        if disp[i] < 10:
            force2.append(float(force[i]))
            disp2.append(float(disp[i]))

    return [force2, disp2]

"""
t = ninety(1)

figs, axs = plt.subplots(1, figsize=(10,6))
axs.plot(t[1], t[0])
axs.set_title("20d")
axs.set(xlabel="Displacement [mm]", ylabel="Force [kN]")


plt.show()"""